/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.quarkus.component.ignite.it;

import io.quarkus.test.junit.QuarkusTest;
import io.restassured.RestAssured;
import org.junit.jupiter.api.Test;

@QuarkusTest
class IgniteTest {

    @Test
    public void loadComponentIgniteCache() {
        /* A simple autogenerated test */
        RestAssured.get("/ignite/load/component/ignite-cache")
                .then()
                .statusCode(200);
    }

    @Test
    public void loadComponentIgniteCompute() {
        /* A simple autogenerated test */
        RestAssured.get("/ignite/load/component/ignite-compute")
                .then()
                .statusCode(200);
    }

    @Test
    public void loadComponentIgniteEvents() {
        /* A simple autogenerated test */
        RestAssured.get("/ignite/load/component/ignite-events")
                .then()
                .statusCode(200);
    }

    @Test
    public void loadComponentIgniteIdgen() {
        /* A simple autogenerated test */
        RestAssured.get("/ignite/load/component/ignite-idgen")
                .then()
                .statusCode(200);
    }

    @Test
    public void loadComponentIgniteMessaging() {
        /* A simple autogenerated test */
        RestAssured.get("/ignite/load/component/ignite-messaging")
                .then()
                .statusCode(200);
    }

    @Test
    public void loadComponentIgniteQueue() {
        /* A simple autogenerated test */
        RestAssured.get("/ignite/load/component/ignite-queue")
                .then()
                .statusCode(200);
    }

    @Test
    public void loadComponentIgniteSet() {
        /* A simple autogenerated test */
        RestAssured.get("/ignite/load/component/ignite-set")
                .then()
                .statusCode(200);
    }

}
